% computes dV to be used in computing HJB for 
% continous time neoclassical growth model with sigma =.5 
% (so that equation for optimal c is quadratic)
function f = dV(k,V)

global alpha delta sigma rho kss

% quadratic equation
b = - rho*V;
a =  k.^alpha;
c = 1;

f1 = [-b - sqrt(b.^2 - 4*a.*c)]./(2*a);
f2 = [-b + sqrt(b.^2 - 4*a.*c)]./(2*a);

if b.^2 - 4*a.*c < 0

    'oh no!'
    f =0;
    
else
    
    f = max(f1,f2);
    
end
