% computes dk and dc for continuos time neoclassical growth model
function dx = rck(t,x)

global sigma alpha rho delta
k = x(1);
c = x(2);

dc = c/sigma*[alpha*k^(alpha-1) - delta - rho];
dk = k^alpha - delta*k - c ;

if k<0 
    dk=0;
    dc =0;
end

dx = [ dk, dc ]';
